## gwydion-dylan-sgml 0.1-2

=== Makefile ===
.PHONY: all snap clean distclean reallyclean html-chunked html-unchunked

SGML_BASE_DIR=/usr/local/share/sgml
SGML_CATALOG_FILES=$(SGML_BASE_DIR)/dsssl/catalog:$(SGML_BASE_DIR)/docbook/docbook.cat:$(SGML_BASE_DIR)/iso/iso.cat:$(SGML_BASE_DIR)/docbook_stylesheets/catalog:$(SGML_BASE_DIR)/docbook/custom/dylandoc/catalog

DYLANDOC_TOOLS = CATALOG dylandoc.dtd dylandoc.dsl
STANDARD_DEPS = dylandoc.ent $(DYLANDOC_TOOLS)
JADE = SGML_CATALOG_FILES=$(SGML_CATALOG_FILES) jade -E 5 -c ./CATALOG

SGML_MANUALS = gduser.sgml gdlibs.sgml gdmaint.sgml tutorial.sgml gdapi.sgml
HTML_CHUNKED_MANUALS = gduser gdlibs gdmaint tutorial gdapi
HTML_UNCHUNKED_MANUALS = gduser.html gdlibs.html gdmaint.html tutorial.html gdapi.html
RTF_MANUALS = gduser.rtf gdlibs.rtf gdmaint.rtf tutorial.rtf gdapi.rtf

######################################################################
#
# Default Rules
#

# Make an HTML directory.
%: %.sgml $(STANDARD_DEPS)
	-rm -rf $@
	-rm -rf ,$@
	mkdir ,$@
	ln dylandoc.dsl ,$@/dylandoc.dsl # oh, what a hack...
	(cd ,$@; \
	 SGML_CATALOG_FILES=$(SGML_CATALOG_FILES) jade -E 5 -c ../CATALOG -d dylandoc.dsl#html -t sgml -ihtml ../$<)
	rm ,$@/dylandoc.dsl
	mv ,$@ $@

# Make a single HTML file.
%.html: %.sgml $(STANDARD_DEPS)
	$(JADE) -d dylandoc.dsl#html -t sgml -ihtml -V nochunks $< > $@
	rm -f HTML.manifest

# Make an RTF file.
%.rtf: %.sgml $(STANDARD_DEPS)
	$(JADE) -d dylandoc.dsl#print -t rtf $<

# Make a flow object tree, just for kicks.
%.fot: %.sgml $(STANDARD_DEPS)
	$(JADE) -d dylandoc.dsl#print $<

######################################################################
#
# Building the manuals 
#

all: html-chunked
html-chunked: $(HTML_CHUNKED_MANUALS)
html-unchunked: $(HTML_UNCHUNKED_MANUALS)
rtf: $(RTF_MANUALS)

snap: distclean
	(cd ..; tar czvf gdref-0.1.`date +%Y%m%d`.tar.gz gdref)

clean:
	rm -rf $(HTML_CHUNKED_MANUALS)
	rm -f *.html *.rtf *.fot *.dvi
	rm -f core

distclean: clean
	rm -f *~

reallyclean: distclean

=== debian/changelog ===
gwydion-dylan-sgml (0.1-2) unstable; urgency=low

  * Updated upstream.
  * Correct lintian errors.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 28 Jan 2003 22:55:57 -0800

gwydion-dylan-sgml (0.1-1) unstable; urgency=low

  * Initial package.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 26 Aug 2002 22:36:26 -0700

=== debian/control ===
Source: gwydion-dylan-sgml
Section: text
Priority: optional
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Standards-Version: 3.5.4.0
Build-Depends-Indep: docbook, docbook-dsssl | docbook-stylesheets (>= 1.72-0potato2), jade, lynx, perlsgml, debhelper (>> 4)

Package: gwydion-dylan-sgml
Architecture: all
Depends: sgml-base, docbook, docbook-dsssl | docbook-stylesheets (>= 1.72-0potato2), opensp, jade, libsgmls-perl, sgmlspl
Suggests: openjade1.3 | openjade
Description: The Gwydion Dylan SGML Tools
 This package contains the DTD and DSSSL stylesheets used by the Gwydion
 Dylan project for documentation.

Package: gwydion-dylan-doc-html
Architecture: all
Suggests: doc-base, www-browser
Description: The Gwydion Dylan Documentation (HTML)
 These are the Gwydion Dylan manuals in HTML form for use as a reference.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

topdir=$(shell pwd)

build: build-stamp
build-stamp:
	dh_testdir

	${MAKE} all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	${MAKE} clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Put the tools where Debian expects them
	install -m644 CATALOG `pwd`/debian/tmp/usr/share/sgml/docbook/custom/dylandoc/catalog
	install -m644 dylandoc.dtd `pwd`/debian/tmp/usr/share/sgml/docbook/custom/dylandoc
	install -m644 dylandoc.dsl `pwd`/debian/tmp/usr/share/sgml/docbook/custom/dylandoc
	install -m644 dylandoc.ent `pwd`/debian/tmp/usr/share/sgml/docbook/custom/dylandoc
	cp CATALOG `pwd`/debian/tmp/etc/sgml/dylandoc.cat

	for i in gduser gdapi gdlibs gdmaint tutorial;			\
	do														\
		cp -ar $${i} `pwd`/debian/gwydion-dylan-doc-html/usr/share/doc/gwydion-dylan-doc-html;	\
	done;

binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
